Package wx :: Package lib :: Module pydocview :: Class OptionsDialog

[frames | no frames]

## Type OptionsDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                OptionsDialog

A default options dialog used by the OptionsService that hosts a notebook tab of options panels.

Method Summary
| ``__init__`(self, parent, optionsPanelClasses, docManager)` Initializes the options dialog with a notebook page that contains new instances of the passed optionsPanelClasses.
| ``DoRefresh`(self)` wxBug: On Windows XP when using a multiline notebook the default page doesn't get drawn, but it works when using a single line notebook.
| ``GetDocManager`(self)` Returns the document manager passed to the OptionsDialog constructor.
| ``OnOK`(self, event)` Calls the OnOK method of all of the OptionDialog's embedded panels

Property Summary

Class Variable Summary

Instance Method Details

### __init__(self, parent, optionsPanelClasses, docManager)
(Constructor)

Initializes the options dialog with a notebook page that contains new instances of the passed optionsPanelClasses.

  Overrides:
    `wx.Dialog.__init__`

### DoRefresh(self)

wxBug: On Windows XP when using a multiline notebook the default page doesn't get drawn, but it works when using a single line notebook.

### GetDocManager(self)

Returns the document manager passed to the OptionsDialog constructor.

### OnOK(self, event)

Calls the OnOK method of all of the OptionDialog's embedded panels

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:14 2007 | http://epydoc.sf.net